complexType "CommodityAmericanExercise"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 6 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | commencementDate?, expirationDate?, (latestExerciseTime? | latestExerciseTimeDetermination?)?, expirationTime?, multipleExercise?
</...>

Content Model Elements (6):

  commencementDate (defined in SharedAmericanExercise complexType),
  expirationDate (defined in SharedAmericanExercise complexType),
  expirationTime (in americanExercise in exercise in commodityOption),
  latestExerciseTime (defined in SharedAmericanExercise complexType),
  latestExerciseTimeDetermination,
  multipleExercise (in americanExercise in exercise in commodityOption)

All Direct / Indirect Based Elements (1):

  americanExercise (in exercise in commodityOption)

Known Usage Locations

- As direct type of elements (1):
  americanExercise (in exercise in commodityOption)

Annotation
A type for defining exercise procedures associated with an American style exercise of a commodity option. This entity inherits from the type SharedAmericanExercise.
Type Definition Detail

Type Derivation Tree Exercise (extension) SharedAmericanExercise (extension) CommodityAmericanExercise

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CommodityAmericanExercise"> <xsd:complexContent> <xsd:extension base="SharedAmericanExercise"> <xsd:sequence> <xsd:element minOccurs="0" name="expirationTime" type="BusinessCenterTime"/> <xsd:element minOccurs="0" name="multipleExercise" type="CommodityMultipleExercise"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/6)
expirationTime

  Type: | BusinessCenterTime, complex content

  The specific time of day on which the option expires.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expirationTime" type="BusinessCenterTime"/>

multipleExercise

  Type: | CommodityMultipleExercise, complex content

  The presence of this element indicates that the option may be partially exercised. It is not applicable to European or Asian options.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="multipleExercise" type="CommodityMultipleExercise"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.